## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

Summary:   Firmware update EFI binaries
Name:      fwupd-efi
Version:   1.6
Release:   %autorelease.inferit
License:   LGPL-2.1-or-later
URL:       https://github.com/fwupd/fwupd-efi
Source0:   https://github.com/fwupd/fwupd-efi/releases/download/%{version}/%{name}-%{version}.tar.xz

# MSVSphere secureboot certificates
Source1000: spheresecurebootca.cer
Source1001: spheresecureboot001.cer

# these are the only architectures supporting UEFI UpdateCapsule
ExclusiveArch: x86_64 aarch64

BuildRequires: gcc
BuildRequires: meson
BuildRequires: gnu-efi-devel >= 3.0.18
BuildRequires: pesign >= 113-20
BuildRequires: python3-pefile

%description
fwupd is a project to allow updating device firmware, and this package provides
the EFI binary that is used for updating using UpdateCapsule.

%prep
%autosetup -p1

%build

%meson \
    -Defi_sbat_distro_id="msvsphere" \
    -Defi_sbat_distro_summary="MSVSphere" \
    -Defi_sbat_distro_pkgname="%{name}" \
    -Defi_sbat_distro_version="%{version}-%{release}" \
    -Defi_sbat_distro_url="https://git.inferitos.ru/rpms/%{name}"

%meson_build

%install
%meson_install

# sign fwupd.efi loader
%ifarch x86_64
%global efiarch x64
%endif
%ifarch aarch64
%global efiarch aa64
%endif
%global fwup_efi_fn $RPM_BUILD_ROOT%{_libexecdir}/fwupd/efi/fwupd%{efiarch}.efi
%define __pesign_client_cert fwupd-signer
%pesign -s -i %{fwup_efi_fn} -o %{fwup_efi_fn}.signed -a %{SOURCE1000} -c %{SOURCE1001} -n spheresecureboot001
rm -vf %{fwup_efi_fn}.tmp

%files
%doc README.md AUTHORS
%license COPYING
%{_libexecdir}/fwupd/efi/*.efi
%{_libexecdir}/fwupd/efi/*.efi.signed
%{_libdir}/pkgconfig/fwupd-efi.pc

%changelog
* Mon Dec 30 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.6-3.inferit
- Modified to use MSVSphere Secure Boot certificates

* Tue Oct 29 2024 Troy Dawson <tdawson@redhat.com> - 1.6-3
- Bump release for October 2024 mass rebuild:

* Mon Jun 24 2024 Troy Dawson <tdawson@redhat.com> - 1.6-2
- Bump release for June 2024 mass rebuild

* Mon Jun 03 2024 Richard Hughes <richard@hughsie.com> - 1.6-1
- Rebase to latest upstream version

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 1.4-3
- Fix build with latest gnu-efi

* Wed Feb 22 2023 Richard Hughes <richard@hughsie.com> - 1.4-2
- migrated to SPDX license

* Fri Jan 27 2023 Richard Hughes <richard@hughsie.com> - 1.4-1
- New upstream release

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Apr 14 2022 Richard Hughes <richard@hughsie.com> - 1.3-1
- New package version

* Sun Jan 23 2022 Richard Hughes <richard@hughsie.com> - 1.2-1
- New package version

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 19 2021 Richard Hughes <richard@hughsie.com> - 1.1-1
- New package version

* Mon May 17 2021 Richard Hughes <richard@hughsie.com> - 1.0-2
- Rebuilt to use the HSM signers

* Wed Apr 28 2021 Richard Hughes <richard@hughsie.com> - 1.0-1
- Initial import (#1953508).
## END: Generated by rpmautospec
